summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Tobias M. Monckton2023-09-11 09:29:43 +0200
committer Willy Sudiarto Raharjo2023-09-11 09:29:43 +0200
commite63971d94a38f797698278ee79ec444b51090810 (patch)
tree985200b6e920a244841374e177b3b81d120c4a3f /games
parent2e322b58c3dd9ad6b1d41e4192223eb248a6d74c (diff)
downloadslackbuilds-e63971d94a38f797698278ee79ec444b51090810.tar.gz
games/gltron: Added (3D lightcyle racing game).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/gltron/README2
-rw-r--r--games/gltron/doinst.sh8
-rw-r--r--games/gltron/gltron.SlackBuild127
-rw-r--r--games/gltron/gltron.desktop11
-rw-r--r--games/gltron/gltron.info10
-rw-r--r--games/gltron/patches/gltron-0.70-configure.patch.gzbin0 -> 369 bytes
-rw-r--r--games/gltron/patches/gltron-0.70-debian.patch.gzbin0 -> 471 bytes
-rw-r--r--games/gltron/patches/gltron-0.70-gcc49.patch.gzbin0 -> 179 bytes
-rw-r--r--games/gltron/patches/gltron-0.70-prototypes.patch.gzbin0 -> 336 bytes
-rw-r--r--games/gltron/slack-desc19
10 files changed, 177 insertions, 0 deletions
diff --git a/games/gltron/README b/games/gltron/README
new file mode 100644
index 0000000000..8028d1fac6
--- /dev/null
+++ b/games/gltron/README
@@ -0,0 +1,2 @@
+glTron is a 3D "lightcycle racing" game that aims to recreate the
+iconic arena scene from the classic movie TRON.
diff --git a/games/gltron/doinst.sh b/games/gltron/doinst.sh
new file mode 100644
index 0000000000..94b64446ba
--- /dev/null
+++ b/games/gltron/doinst.sh
@@ -0,0 +1,8 @@
+#!/bin/bash
+
+# I borrowed the .desktop file from Debian's repo, might as well
+# install it for convenience's sake
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications > /dev/null 2>&1
+fi
diff --git a/games/gltron/gltron.SlackBuild b/games/gltron/gltron.SlackBuild
new file mode 100644
index 0000000000..748c538906
--- /dev/null
+++ b/games/gltron/gltron.SlackBuild
@@ -0,0 +1,127 @@
+#!/bin/bash
+
+# Slackware build script for <appname>
+
+# Copyright <year> <you> <where you live>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=gltron
+VERSION=${VERSION:-0.70}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "aarch64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION-source.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# A handful of patches are needed to build because of the time
+# since glTron's last "stable" release
+for pfile in $CWD/patches/*.gz ; do
+ zcat $pfile | patch -p1 || exit 1
+done
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --bindir=/usr/games \
+ --datadir=/usr/share/games \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --disable-static \
+ --disable-warn \
+ --disable-debug \
+ --disable-profile \
+ --enable-network \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+rm -f $PKG/art/default/artpack.lua
+
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+
+# install custom .desktop file that was borrowed from Debian's repo
+mkdir -p $PKG/usr/share/applications
+install -v -m644 -t "$PKG/usr/share/applications/" $CWD/$PRGNAM.desktop
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/games/gltron/gltron.desktop b/games/gltron/gltron.desktop
new file mode 100644
index 0000000000..73c39cc3dd
--- /dev/null
+++ b/games/gltron/gltron.desktop
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Version=1.0
+Type=Application
+Name=GLtron
+Comment=3D lightcycle game
+Comment[de]=dreidimensionales Lichtrad-Spiel
+Exec=gltron
+Icon=gltron
+Terminal=false
+Categories=Game;ActionGame;
+Keywords=tron;lightcycle;3D;action;
diff --git a/games/gltron/gltron.info b/games/gltron/gltron.info
new file mode 100644
index 0000000000..d1e8e93110
--- /dev/null
+++ b/games/gltron/gltron.info
@@ -0,0 +1,10 @@
+PRGNAM="gltron"
+VERSION="0.70"
+HOMEPAGE="https://www.gltron.org"
+DOWNLOAD="https://gentoo.osuosl.org/distfiles/gltron-0.70-source.tar.gz"
+MD5SUM="300e54914844f36c199415d6d8b0372a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libmikmod smpeg"
+MAINTAINER="Tobias M. Monckton"
+EMAIL="tmmonckton@gmail.com"
diff --git a/games/gltron/patches/gltron-0.70-configure.patch.gz b/games/gltron/patches/gltron-0.70-configure.patch.gz
new file mode 100644
index 0000000000..6878e8ec8f
--- /dev/null
+++ b/games/gltron/patches/gltron-0.70-configure.patch.gz
Binary files differ
diff --git a/games/gltron/patches/gltron-0.70-debian.patch.gz b/games/gltron/patches/gltron-0.70-debian.patch.gz
new file mode 100644
index 0000000000..12f653efa1
--- /dev/null
+++ b/games/gltron/patches/gltron-0.70-debian.patch.gz
Binary files differ
diff --git a/games/gltron/patches/gltron-0.70-gcc49.patch.gz b/games/gltron/patches/gltron-0.70-gcc49.patch.gz
new file mode 100644
index 0000000000..ce47201325
--- /dev/null
+++ b/games/gltron/patches/gltron-0.70-gcc49.patch.gz
Binary files differ
diff --git a/games/gltron/patches/gltron-0.70-prototypes.patch.gz b/games/gltron/patches/gltron-0.70-prototypes.patch.gz
new file mode 100644
index 0000000000..dcac09aed6
--- /dev/null
+++ b/games/gltron/patches/gltron-0.70-prototypes.patch.gz
Binary files differ
diff --git a/games/gltron/slack-desc b/games/gltron/slack-desc
new file mode 100644
index 0000000000..6421e650a0
--- /dev/null
+++ b/games/gltron/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+gltron: gltron (3D lightcycle racing game inspired by TRON)
+gltron:
+gltron: glTron is a 3D "lightcycle racing" game inspired by the iconic
+gltron: arena scene from the original TRON movie.
+gltron:
+gltron: https://www.gltron.org
+gltron:
+gltron:
+gltron:
+gltron:
+gltron: